#
# spec file for package 
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           ruby-packaging-helper
Version:        1.0
Release:        8.1
License:        MIT
Summary:        Just some little helper stuff to get building done on older distros
Url:            http://www.opensuse.org/
Group:          Development/Languages/Ruby
%define rb_build_versions ruby21
PreReq:         ruby-common
PreReq:         rubygem(gem2rpm)
PreReq:         ruby(abi)
#!BuildIgnore:  rubygem(gem2rpm)
#!BuildIgnore:  ruby-common
#!BuildIgnore:  ruby(abi)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         ruby-packaging-patch-spec

%description

%prep

%build

%install
install -D  -m 0755 %{S:0} %{buildroot}%{_bindir}/ruby-packaging-patch-spec
install -Dd -m 0755        %{buildroot}/usr/share/doc/packages/%{name}/
echo "if you have this installed on a real system, you are doing it wrong" > %{buildroot}/usr/share/doc/packages/%{name}/README

%post
shopt -s nullglob
if [ ! -e /usr/bin/ruby ] ; then
  ruby="$(echo /usr/bin/ruby.* /usr/bin/ruby[0-9].[0-9]* | sort |head -n 1)"
  if [ "x$ruby" != "x" ] ; then
    echo "Found the following ruby binaries: '$ruby'. Linking ..."
    ln -vs $ruby /usr/bin/ruby ||: ;
    rubysuffix="${ruby#/usr/bin/ruby}"
    ln -vs /usr/bin/gem$rubysuffix /usr/bin/gem
  else
    echo "Failed to find any ruby. How could that happen!?" ;
  fi
fi
#%if 0%{?suse_version} && 0%{?suse_version} == 1110
#echo "Calling ruby-packaging-patch-spec"
#%{_bindir}/ruby-packaging-patch-spec
#%endif

%files
%defattr(-,root,root)
%doc /usr/share/doc/packages/%{name}/
%{_bindir}/ruby-packaging-patch-spec

%changelog
* Mon Sep 29 2014 mrueckert@suse.de
- Buildrequire and ignore the ruby(abi) so we have the binary
  package already.
* Mon Sep 29 2014 mrueckert@suse.de
- also provide an unversioned gem
* Mon Sep 29 2014 mrueckert@suse.de
- buildignore the prereqs
* Sat Sep 27 2014 mrueckert@suse.de
- initial package
